Index: /trunk/src/bp-templates/bp-nouveau/common-styles/_bp-mixins.scss
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/common-styles/_bp-mixins.scss	(revision 12060)
+++ /trunk/src/bp-templates/bp-nouveau/common-styles/_bp-mixins.scss	(revision 12061)
@@ -374,4 +374,8 @@
 			}
 
+			li:not(.current) {
+				margin-bottom: 2px;
+			}
+
 			li.current {
 				border-color: $bp-border-dark $bp-border-dark #fff;
Index: /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_layouts.scss
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_layouts.scss	(revision 12060)
+++ /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_layouts.scss	(revision 12061)
@@ -457,5 +457,5 @@
 	.bp-single-vert-nav { // described for the #buddypress element
 
-		.vertical {
+		.bp-navs.vertical {
 			overflow: visible;
 
@@ -469,8 +469,10 @@
 			li {
 				float: none;
+				margin-right: 0;
 
 				&.selected a {
 					background: $grey;
 					color: $black;
+					padding-left: 0;
 				}
 
Index: /trunk/src/bp-templates/bp-nouveau/css/buddypress-rtl.css
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/css/buddypress-rtl.css	(revision 12060)
+++ /trunk/src/bp-templates/bp-nouveau/css/buddypress-rtl.css	(revision 12061)
@@ -589,4 +589,8 @@
 	.buddypress-wrap .tabbed-links ol li a:hover {
 		background: none;
+	}
+	.buddypress-wrap .tabbed-links ul li:not(.current),
+	.buddypress-wrap .tabbed-links ol li:not(.current) {
+		margin-bottom: 2px;
 	}
 	.buddypress-wrap .tabbed-links ul li.current,
@@ -5083,8 +5087,8 @@
 
 @media screen and (min-width: 46.8em) {
-	.bp-single-vert-nav .vertical {
+	.bp-single-vert-nav .bp-navs.vertical {
 		overflow: visible;
 	}
-	.bp-single-vert-nav .vertical ul {
+	.bp-single-vert-nav .bp-navs.vertical ul {
 		border-left: 1px solid #d6d6d6;
 		float: right;
@@ -5092,15 +5096,17 @@
 		width: 25%;
 	}
-	.bp-single-vert-nav .vertical li {
+	.bp-single-vert-nav .bp-navs.vertical li {
 		float: none;
-	}
-	.bp-single-vert-nav .vertical li.selected a {
+		margin-left: 0;
+	}
+	.bp-single-vert-nav .bp-navs.vertical li.selected a {
 		background: #ccc;
 		color: #333;
-	}
-	.bp-single-vert-nav .vertical li:focus, .bp-single-vert-nav .vertical li:hover {
+		padding-right: 0;
+	}
+	.bp-single-vert-nav .bp-navs.vertical li:focus, .bp-single-vert-nav .bp-navs.vertical li:hover {
 		background: #ccc;
 	}
-	.bp-single-vert-nav .vertical li span {
+	.bp-single-vert-nav .bp-navs.vertical li span {
 		background: #d6d6d6;
 		border-radius: 10%;
@@ -5108,5 +5114,5 @@
 		margin-left: 2px;
 	}
-	.bp-single-vert-nav .vertical li:hover span {
+	.bp-single-vert-nav .bp-navs.vertical li:hover span {
 		border-color: #eaeaea;
 	}
Index: /trunk/src/bp-templates/bp-nouveau/css/buddypress.css
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/css/buddypress.css	(revision 12060)
+++ /trunk/src/bp-templates/bp-nouveau/css/buddypress.css	(revision 12061)
@@ -589,4 +589,8 @@
 	.buddypress-wrap .tabbed-links ol li a:hover {
 		background: none;
+	}
+	.buddypress-wrap .tabbed-links ul li:not(.current),
+	.buddypress-wrap .tabbed-links ol li:not(.current) {
+		margin-bottom: 2px;
 	}
 	.buddypress-wrap .tabbed-links ul li.current,
@@ -5083,8 +5087,8 @@
 
 @media screen and (min-width: 46.8em) {
-	.bp-single-vert-nav .vertical {
+	.bp-single-vert-nav .bp-navs.vertical {
 		overflow: visible;
 	}
-	.bp-single-vert-nav .vertical ul {
+	.bp-single-vert-nav .bp-navs.vertical ul {
 		border-right: 1px solid #d6d6d6;
 		float: left;
@@ -5092,15 +5096,17 @@
 		width: 25%;
 	}
-	.bp-single-vert-nav .vertical li {
+	.bp-single-vert-nav .bp-navs.vertical li {
 		float: none;
-	}
-	.bp-single-vert-nav .vertical li.selected a {
+		margin-right: 0;
+	}
+	.bp-single-vert-nav .bp-navs.vertical li.selected a {
 		background: #ccc;
 		color: #333;
-	}
-	.bp-single-vert-nav .vertical li:focus, .bp-single-vert-nav .vertical li:hover {
+		padding-left: 0;
+	}
+	.bp-single-vert-nav .bp-navs.vertical li:focus, .bp-single-vert-nav .bp-navs.vertical li:hover {
 		background: #ccc;
 	}
-	.bp-single-vert-nav .vertical li span {
+	.bp-single-vert-nav .bp-navs.vertical li span {
 		background: #d6d6d6;
 		border-radius: 10%;
@@ -5108,5 +5114,5 @@
 		margin-right: 2px;
 	}
-	.bp-single-vert-nav .vertical li:hover span {
+	.bp-single-vert-nav .bp-navs.vertical li:hover span {
 		border-color: #eaeaea;
 	}