Index: /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_generic_and_typography.scss
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_generic_and_typography.scss	(revision 12170)
+++ /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_generic_and_typography.scss	(revision 12171)
@@ -1,4 +1,4 @@
 // BP Generic elements, Typography and Images.
-// @version 3.0.0
+// @version 4.0.0
 
 // ========= Generic Sitewide elements ========
@@ -20,5 +20,5 @@
 
 			blockquote {
-				margin-left: $marg-sml;
+				margin-left: 0;
 			}
 		}
Index: /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_tooltips.scss
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_tooltips.scss	(revision 12170)
+++ /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_tooltips.scss	(revision 12171)
@@ -1,4 +1,4 @@
 // BuddyPress Tooltips
-// @version 3.0.0
+// @version 4.0.0
 
 [data-bp-tooltip] {
@@ -88,4 +88,5 @@
 .activity-list .bp-tooltip,
 .activity-meta-action .bp-tooltip,
+.avatar-block .item-avatar .bp-tooltip,
 .notification-actions .bp-tooltip,
 .participants-list .bp-tooltip {
Index: /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_widgets.scss
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_widgets.scss	(revision 12170)
+++ /trunk/src/bp-templates/bp-nouveau/common-styles/_bp_widgets.scss	(revision 12171)
@@ -1,4 +1,4 @@
 // BP Widgets
-// @version 3.0.0
+// @version 4.0.0
 
 .buddypress.widget {
@@ -6,56 +6,25 @@
 	.item-options {
 
-		@include font-size(14);
+		@include font-size(12);
+
+		margin: 0 0 1em;
+		padding: 1em 0;
+	}
+
+	.bp-login-widget-user-avatar {
+		float: left;
+	}
+
+	.bp-login-widget-user-links {
+		margin-left: 70px;
 	}
 
 	ul.item-list {
-
-		@include flex-box-dir($flex-dir: column);
-
-		@include medium-small-up() {
-
-			@include flex-box-dir($flex-dir: row, $flex-wrap: wrap);
-		}
-
 		list-style: none;
-		margin: $marg-sml -2%;
-		overflow: hidden;
-
-		li {
-			border: 1px solid $bp-border-color;
-
-			@include flex-align();
-			@include box-item-size($grow: 1, $basis: 46%);
-
-			@include large-up() {
-
-				@include box-item-size($grow: 0, $basis: 20%);
-			}
-
-			margin: 2%;
-
-			.item-avatar {
-				padding: $pad-sml;
-				text-align: center;
-
-				.avatar {
-					width: 60%;
-				}
-			}
-
-			.item {
-				padding: 0 $pad-sml $pad-sml;
-
-
-				.item-meta {
-
-					@include font-size(12);
-					overflow-wrap: break-word;
-				}
-			}
-		} // close li
+		margin: $marg-sml 0;
 	}
 
-	.activity-list {
+	ul.activity-list {
+
 		padding: 0;
 
@@ -69,4 +38,17 @@
 			margin-bottom: 0.5em;
 		}
+
+		li {
+			border-bottom: 1px solid $primary-grey;
+			margin-bottom: 1em;
+
+			.activity-header p {
+				margin-bottom: 0.5em;
+			}
+
+			&:last-child {
+				border-bottom: 0;
+			}
+		}
 	}
 
@@ -76,44 +58,81 @@
 
 		img {
+			margin: 0.5em;
+		}
+	}
+
+	ul#friends-list,
+	ul#groups-list,
+	ul#members-list {
+
+		@include clearfix-element("li");
+
+		li {
+
 			margin-bottom: 1em;
-			margin-right: 1em;
+
+			.item-avatar {
+				float: left;
+				width: 60px;
+			}
+
+			.item {
+				margin-left: 70px;
+			}
 		}
 	}
 }
 
+// BP Widgets in Main content area.
+// User's and Group's widgetized default home pages.
 
-// Are we in a main site sidebar?
-// while hard to tell width assume that
-// at large width it's narrow &
-// adjust the li widths & margins to %
-// & flex basis to auto for large up.
-// @todo this may need reviewing & adjusting.
-
-// WP default themes use the class '.widget-area'
-// as a naming convention for the main sidebar
-// this is the best we can know & style on this class
-.widget-area {
+.buddypress-wrap {
 
 	.buddypress.widget {
 
-		ul.item-list {
+		ul#friends-list,
+		ul#groups-list,
+		ul#members-list {
+
+			@include flex-box-dir($flex-dir: column);
+
+			@include medium-small-up() {
+
+				@include flex-box-dir($flex-dir: row, $flex-wrap: wrap);
+			}
+
 
 			li {
+				border: 1px solid $bp-border-color;
 
-				@include box-item-size($grow: 0, $basis: 46%);
-				margin: 2% 2% 10px;
+				@include flex-align();
+				@include box-item-size($grow: 1, $basis: 46%);
 
-				@include large-up {
+				@include large-up() {
 
-					.avatar {
-						width: 100%;
+					@include box-item-size($grow: 0, $basis: 20%);
+				}
+
+				margin: 2%;
+
+				.item-avatar {
+					padding: $pad-sml;
+					text-align: center;
+				}
+
+				.item {
+					padding: $pad-sml;
+
+
+					.item-meta {
+
+						@include font-size(12);
+						overflow-wrap: break-word;
 					}
 				}
-			}
-		}
+			} // close li
 
-		@include large-up() {
+			@include large-up() {
 
-			ul.item-list {
 				margin: $marg-sml -2%;
 				width: 100%;
@@ -127,4 +146,10 @@
 			}
 		}
+
+		blockquote {
+			margin: 0 0 1.5em;
+			overflow: visible;
+			padding: 0 0 0.75em 0.75em;
+		}
 	}
 }
Index: /trunk/src/bp-templates/bp-nouveau/css/buddypress-rtl.css
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/css/buddypress-rtl.css	(revision 12170)
+++ /trunk/src/bp-templates/bp-nouveau/css/buddypress-rtl.css	(revision 12171)
@@ -2,5 +2,5 @@
 Hello, this is the BuddyPress Nouveau stylesheet.
 
-@version 3.0.0
+@version 4.0.0
 
 ----------------------------------------------------------------
@@ -63,5 +63,5 @@
 body #buddypress #item-body blockquote,
 body #buddypress .bp-lists blockquote {
-	margin-right: 10px;
+	margin-right: 0;
 }
 
@@ -4387,70 +4387,27 @@
 
 .buddypress.widget .item-options {
-	font-size: 14px;
+	font-size: 12px;
+	margin: 0 0 1em;
+	padding: 1em 0;
+}
+
+.buddypress.widget .bp-login-widget-user-avatar {
+	float: right;
+}
+
+.buddypress.widget .bp-login-widget-user-links {
+	margin-right: 70px;
 }
 
 .buddypress.widget ul.item-list {
-	display: -moz-flex;
-	display: -ms-flex;
-	display: -o-flex;
-	display: flex;
-	-o-flex-flow: column nowrap;
-	flex-flow: column nowrap;
 	list-style: none;
-	margin: 10px -2%;
-	overflow: hidden;
-}
-
-@media screen and (min-width: 32em) {
-	.buddypress.widget ul.item-list {
-		display: -moz-flex;
-		display: -ms-flex;
-		display: -o-flex;
-		display: flex;
-		-o-flex-flow: row wrap;
-		flex-flow: row wrap;
-	}
-}
-
-.buddypress.widget ul.item-list li {
-	border: 1px solid #eee;
-	align-items: stretch;
-	-moz-flex: 1 1 46%;
-	-o-flex: 1 1 46%;
-	flex: 1 1 46%;
-	margin: 2%;
-}
-
-@media screen and (min-width: 75em) {
-	.buddypress.widget ul.item-list li {
-		-moz-flex: 0 1 20%;
-		-o-flex: 0 1 20%;
-		flex: 0 1 20%;
-	}
-}
-
-.buddypress.widget ul.item-list li .item-avatar {
-	padding: 0.5em;
-	text-align: center;
-}
-
-.buddypress.widget ul.item-list li .item-avatar .avatar {
-	width: 60%;
-}
-
-.buddypress.widget ul.item-list li .item {
-	padding: 0 0.5em 0.5em;
-}
-
-.buddypress.widget ul.item-list li .item .item-meta {
-	font-size: 12px;
-	overflow-wrap: break-word;
-}
-
-.buddypress.widget .activity-list {
+	margin: 10px 0;
+}
+
+.buddypress.widget ul.activity-list {
 	padding: 0;
 }
 
-.buddypress.widget .activity-list blockquote {
+.buddypress.widget ul.activity-list blockquote {
 	margin: 0 0 1.5em;
 	overflow: visible;
@@ -4458,6 +4415,19 @@
 }
 
-.buddypress.widget .activity-list img {
+.buddypress.widget ul.activity-list img {
 	margin-bottom: 0.5em;
+}
+
+.buddypress.widget ul.activity-list li {
+	border-bottom: 1px solid #ccc;
+	margin-bottom: 1em;
+}
+
+.buddypress.widget ul.activity-list li .activity-header p {
+	margin-bottom: 0.5em;
+}
+
+.buddypress.widget ul.activity-list li:last-child {
+	border-bottom: 0;
 }
 
@@ -4472,27 +4442,117 @@
 
 .buddypress.widget .avatar-block img {
+	margin: 0.5em;
+}
+
+.buddypress.widget ul#friends-list li:before,
+.buddypress.widget ul#friends-list li:after,
+.buddypress.widget ul#groups-list li:before,
+.buddypress.widget ul#groups-list li:after,
+.buddypress.widget ul#members-list li:before,
+.buddypress.widget ul#members-list li:after {
+	content: " ";
+	display: table;
+}
+
+.buddypress.widget ul#friends-list li:after,
+.buddypress.widget ul#groups-list li:after,
+.buddypress.widget ul#members-list li:after {
+	clear: both;
+}
+
+.buddypress.widget ul#friends-list li,
+.buddypress.widget ul#groups-list li,
+.buddypress.widget ul#members-list li {
 	margin-bottom: 1em;
-	margin-left: 1em;
-}
-
-.widget-area .buddypress.widget ul.item-list li {
-	-moz-flex: 0 1 46%;
-	-o-flex: 0 1 46%;
-	flex: 0 1 46%;
-	margin: 2% 2% 10px;
+}
+
+.buddypress.widget ul#friends-list li .item-avatar,
+.buddypress.widget ul#groups-list li .item-avatar,
+.buddypress.widget ul#members-list li .item-avatar {
+	float: right;
+	width: 60px;
+}
+
+.buddypress.widget ul#friends-list li .item,
+.buddypress.widget ul#groups-list li .item,
+.buddypress.widget ul#members-list li .item {
+	margin-right: 70px;
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list,
+.buddypress-wrap .buddypress.widget ul#groups-list,
+.buddypress-wrap .buddypress.widget ul#members-list {
+	display: -moz-flex;
+	display: -ms-flex;
+	display: -o-flex;
+	display: flex;
+	-o-flex-flow: column nowrap;
+	flex-flow: column nowrap;
+}
+
+@media screen and (min-width: 32em) {
+	.buddypress-wrap .buddypress.widget ul#friends-list,
+	.buddypress-wrap .buddypress.widget ul#groups-list,
+	.buddypress-wrap .buddypress.widget ul#members-list {
+		display: -moz-flex;
+		display: -ms-flex;
+		display: -o-flex;
+		display: flex;
+		-o-flex-flow: row wrap;
+		flex-flow: row wrap;
+	}
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li,
+.buddypress-wrap .buddypress.widget ul#groups-list li,
+.buddypress-wrap .buddypress.widget ul#members-list li {
+	border: 1px solid #eee;
+	align-items: stretch;
+	-moz-flex: 1 1 46%;
+	-o-flex: 1 1 46%;
+	flex: 1 1 46%;
+	margin: 2%;
 }
 
 @media screen and (min-width: 75em) {
-	.widget-area .buddypress.widget ul.item-list li .avatar {
-		width: 100%;
-	}
+	.buddypress-wrap .buddypress.widget ul#friends-list li,
+	.buddypress-wrap .buddypress.widget ul#groups-list li,
+	.buddypress-wrap .buddypress.widget ul#members-list li {
+		-moz-flex: 0 1 20%;
+		-o-flex: 0 1 20%;
+		flex: 0 1 20%;
+	}
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li .item-avatar,
+.buddypress-wrap .buddypress.widget ul#groups-list li .item-avatar,
+.buddypress-wrap .buddypress.widget ul#members-list li .item-avatar {
+	padding: 0.5em;
+	text-align: center;
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li .item,
+.buddypress-wrap .buddypress.widget ul#groups-list li .item,
+.buddypress-wrap .buddypress.widget ul#members-list li .item {
+	padding: 0.5em;
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li .item .item-meta,
+.buddypress-wrap .buddypress.widget ul#groups-list li .item .item-meta,
+.buddypress-wrap .buddypress.widget ul#members-list li .item .item-meta {
+	font-size: 12px;
+	overflow-wrap: break-word;
 }
 
 @media screen and (min-width: 75em) {
-	.widget-area .buddypress.widget ul.item-list {
+	.buddypress-wrap .buddypress.widget ul#friends-list,
+	.buddypress-wrap .buddypress.widget ul#groups-list,
+	.buddypress-wrap .buddypress.widget ul#members-list {
 		margin: 10px -2%;
 		width: 100%;
 	}
-	.widget-area .buddypress.widget ul.item-list li {
+	.buddypress-wrap .buddypress.widget ul#friends-list li,
+	.buddypress-wrap .buddypress.widget ul#groups-list li,
+	.buddypress-wrap .buddypress.widget ul#members-list li {
 		-moz-flex: 0 1 auto;
 		-o-flex: 0 1 auto;
@@ -4501,4 +4561,10 @@
 		width: 46%;
 	}
+}
+
+.buddypress-wrap .buddypress.widget blockquote {
+	margin: 0 0 1.5em;
+	overflow: visible;
+	padding: 0 0.75em 0.75em 0;
 }
 
@@ -4607,4 +4673,5 @@
 .activity-list .bp-tooltip:after,
 .activity-meta-action .bp-tooltip:after,
+.avatar-block .item-avatar .bp-tooltip:after,
 .notification-actions .bp-tooltip:after,
 .participants-list .bp-tooltip:after {
Index: /trunk/src/bp-templates/bp-nouveau/css/buddypress.css
===================================================================
--- /trunk/src/bp-templates/bp-nouveau/css/buddypress.css	(revision 12170)
+++ /trunk/src/bp-templates/bp-nouveau/css/buddypress.css	(revision 12171)
@@ -2,5 +2,5 @@
 Hello, this is the BuddyPress Nouveau stylesheet.
 
-@version 3.0.0
+@version 4.0.0
 
 ----------------------------------------------------------------
@@ -63,5 +63,5 @@
 body #buddypress #item-body blockquote,
 body #buddypress .bp-lists blockquote {
-	margin-left: 10px;
+	margin-left: 0;
 }
 
@@ -4387,70 +4387,27 @@
 
 .buddypress.widget .item-options {
-	font-size: 14px;
+	font-size: 12px;
+	margin: 0 0 1em;
+	padding: 1em 0;
+}
+
+.buddypress.widget .bp-login-widget-user-avatar {
+	float: left;
+}
+
+.buddypress.widget .bp-login-widget-user-links {
+	margin-left: 70px;
 }
 
 .buddypress.widget ul.item-list {
-	display: -moz-flex;
-	display: -ms-flex;
-	display: -o-flex;
-	display: flex;
-	-o-flex-flow: column nowrap;
-	flex-flow: column nowrap;
 	list-style: none;
-	margin: 10px -2%;
-	overflow: hidden;
-}
-
-@media screen and (min-width: 32em) {
-	.buddypress.widget ul.item-list {
-		display: -moz-flex;
-		display: -ms-flex;
-		display: -o-flex;
-		display: flex;
-		-o-flex-flow: row wrap;
-		flex-flow: row wrap;
-	}
-}
-
-.buddypress.widget ul.item-list li {
-	border: 1px solid #eee;
-	align-items: stretch;
-	-moz-flex: 1 1 46%;
-	-o-flex: 1 1 46%;
-	flex: 1 1 46%;
-	margin: 2%;
-}
-
-@media screen and (min-width: 75em) {
-	.buddypress.widget ul.item-list li {
-		-moz-flex: 0 1 20%;
-		-o-flex: 0 1 20%;
-		flex: 0 1 20%;
-	}
-}
-
-.buddypress.widget ul.item-list li .item-avatar {
-	padding: 0.5em;
-	text-align: center;
-}
-
-.buddypress.widget ul.item-list li .item-avatar .avatar {
-	width: 60%;
-}
-
-.buddypress.widget ul.item-list li .item {
-	padding: 0 0.5em 0.5em;
-}
-
-.buddypress.widget ul.item-list li .item .item-meta {
-	font-size: 12px;
-	overflow-wrap: break-word;
-}
-
-.buddypress.widget .activity-list {
+	margin: 10px 0;
+}
+
+.buddypress.widget ul.activity-list {
 	padding: 0;
 }
 
-.buddypress.widget .activity-list blockquote {
+.buddypress.widget ul.activity-list blockquote {
 	margin: 0 0 1.5em;
 	overflow: visible;
@@ -4458,6 +4415,19 @@
 }
 
-.buddypress.widget .activity-list img {
+.buddypress.widget ul.activity-list img {
 	margin-bottom: 0.5em;
+}
+
+.buddypress.widget ul.activity-list li {
+	border-bottom: 1px solid #ccc;
+	margin-bottom: 1em;
+}
+
+.buddypress.widget ul.activity-list li .activity-header p {
+	margin-bottom: 0.5em;
+}
+
+.buddypress.widget ul.activity-list li:last-child {
+	border-bottom: 0;
 }
 
@@ -4472,27 +4442,117 @@
 
 .buddypress.widget .avatar-block img {
+	margin: 0.5em;
+}
+
+.buddypress.widget ul#friends-list li:before,
+.buddypress.widget ul#friends-list li:after,
+.buddypress.widget ul#groups-list li:before,
+.buddypress.widget ul#groups-list li:after,
+.buddypress.widget ul#members-list li:before,
+.buddypress.widget ul#members-list li:after {
+	content: " ";
+	display: table;
+}
+
+.buddypress.widget ul#friends-list li:after,
+.buddypress.widget ul#groups-list li:after,
+.buddypress.widget ul#members-list li:after {
+	clear: both;
+}
+
+.buddypress.widget ul#friends-list li,
+.buddypress.widget ul#groups-list li,
+.buddypress.widget ul#members-list li {
 	margin-bottom: 1em;
-	margin-right: 1em;
-}
-
-.widget-area .buddypress.widget ul.item-list li {
-	-moz-flex: 0 1 46%;
-	-o-flex: 0 1 46%;
-	flex: 0 1 46%;
-	margin: 2% 2% 10px;
+}
+
+.buddypress.widget ul#friends-list li .item-avatar,
+.buddypress.widget ul#groups-list li .item-avatar,
+.buddypress.widget ul#members-list li .item-avatar {
+	float: left;
+	width: 60px;
+}
+
+.buddypress.widget ul#friends-list li .item,
+.buddypress.widget ul#groups-list li .item,
+.buddypress.widget ul#members-list li .item {
+	margin-left: 70px;
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list,
+.buddypress-wrap .buddypress.widget ul#groups-list,
+.buddypress-wrap .buddypress.widget ul#members-list {
+	display: -moz-flex;
+	display: -ms-flex;
+	display: -o-flex;
+	display: flex;
+	-o-flex-flow: column nowrap;
+	flex-flow: column nowrap;
+}
+
+@media screen and (min-width: 32em) {
+	.buddypress-wrap .buddypress.widget ul#friends-list,
+	.buddypress-wrap .buddypress.widget ul#groups-list,
+	.buddypress-wrap .buddypress.widget ul#members-list {
+		display: -moz-flex;
+		display: -ms-flex;
+		display: -o-flex;
+		display: flex;
+		-o-flex-flow: row wrap;
+		flex-flow: row wrap;
+	}
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li,
+.buddypress-wrap .buddypress.widget ul#groups-list li,
+.buddypress-wrap .buddypress.widget ul#members-list li {
+	border: 1px solid #eee;
+	align-items: stretch;
+	-moz-flex: 1 1 46%;
+	-o-flex: 1 1 46%;
+	flex: 1 1 46%;
+	margin: 2%;
 }
 
 @media screen and (min-width: 75em) {
-	.widget-area .buddypress.widget ul.item-list li .avatar {
-		width: 100%;
-	}
+	.buddypress-wrap .buddypress.widget ul#friends-list li,
+	.buddypress-wrap .buddypress.widget ul#groups-list li,
+	.buddypress-wrap .buddypress.widget ul#members-list li {
+		-moz-flex: 0 1 20%;
+		-o-flex: 0 1 20%;
+		flex: 0 1 20%;
+	}
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li .item-avatar,
+.buddypress-wrap .buddypress.widget ul#groups-list li .item-avatar,
+.buddypress-wrap .buddypress.widget ul#members-list li .item-avatar {
+	padding: 0.5em;
+	text-align: center;
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li .item,
+.buddypress-wrap .buddypress.widget ul#groups-list li .item,
+.buddypress-wrap .buddypress.widget ul#members-list li .item {
+	padding: 0.5em;
+}
+
+.buddypress-wrap .buddypress.widget ul#friends-list li .item .item-meta,
+.buddypress-wrap .buddypress.widget ul#groups-list li .item .item-meta,
+.buddypress-wrap .buddypress.widget ul#members-list li .item .item-meta {
+	font-size: 12px;
+	overflow-wrap: break-word;
 }
 
 @media screen and (min-width: 75em) {
-	.widget-area .buddypress.widget ul.item-list {
+	.buddypress-wrap .buddypress.widget ul#friends-list,
+	.buddypress-wrap .buddypress.widget ul#groups-list,
+	.buddypress-wrap .buddypress.widget ul#members-list {
 		margin: 10px -2%;
 		width: 100%;
 	}
-	.widget-area .buddypress.widget ul.item-list li {
+	.buddypress-wrap .buddypress.widget ul#friends-list li,
+	.buddypress-wrap .buddypress.widget ul#groups-list li,
+	.buddypress-wrap .buddypress.widget ul#members-list li {
 		-moz-flex: 0 1 auto;
 		-o-flex: 0 1 auto;
@@ -4501,4 +4561,10 @@
 		width: 46%;
 	}
+}
+
+.buddypress-wrap .buddypress.widget blockquote {
+	margin: 0 0 1.5em;
+	overflow: visible;
+	padding: 0 0 0.75em 0.75em;
 }
 
@@ -4607,4 +4673,5 @@
 .activity-list .bp-tooltip:after,
 .activity-meta-action .bp-tooltip:after,
+.avatar-block .item-avatar .bp-tooltip:after,
 .notification-actions .bp-tooltip:after,
 .participants-list .bp-tooltip:after {