Index: /trunk/src/bp-blogs/bp-blogs-activity.php
===================================================================
--- /trunk/src/bp-blogs/bp-blogs-activity.php	(revision 12543)
+++ /trunk/src/bp-blogs/bp-blogs-activity.php	(revision 12544)
@@ -288,5 +288,5 @@
 	$blog_url = false;
 
-	// Try to get the blog url from the activity object
+	// Try to get the blog url from the activity object.
 	if ( isset( $activity->blog_url ) ) {
 		$blog_url = $activity->blog_url;
@@ -297,5 +297,5 @@
 	$blog_name = false;
 
-	// Try to get the blog name from the activity object
+	// Try to get the blog name from the activity object.
 	if ( isset( $activity->blog_name ) ) {
 		$blog_name = $activity->blog_name;
@@ -314,5 +314,5 @@
 	$post_url = false;
 
-	// Try to get the post url from the activity object
+	// Try to get the post url from the activity object.
 	if ( isset( $activity->post_url ) ) {
 		$post_url = $activity->post_url;
@@ -329,9 +329,9 @@
 	$post_title = false;
 
-	// Should be the case when the comment has just been published
+	// Should be the case when the comment has just been published.
 	if ( isset( $activity->post_title ) ) {
 		$post_title = $activity->post_title;
 
-	// If activity already exists try to get the post title from activity meta
+	// If activity already exists try to get the post title from activity meta.
 	} elseif ( ! empty( $activity->id ) ) {
 		$post_title = bp_activity_get_meta( $activity->id, 'post_title' );
@@ -790,5 +790,5 @@
 	}
 
-	// Get associated post type and set default comment parent
+	// Get associated post type and set default comment parent.
 	$post_type      = bp_activity_post_type_get_tracking_arg( $parent_activity->type, 'post_type' );
 	$comment_parent = 0;
@@ -806,5 +806,5 @@
 		'comment_author_url'   => bp_core_get_user_domain( $params['user_id'], $user->user_nicename, $user->user_login ),
 		'comment_content'      => $params['content'],
-		'comment_type'         => '', // Could be interesting to add 'buddypress' here...
+		'comment_type'         => '', // Could be interesting to add 'BuddyPress' here...
 		'comment_parent'       => (int) $comment_parent,
 		'user_id'              => $params['user_id'],
@@ -910,5 +910,5 @@
 	$activity_ids[] = $activity_id;
 
-	// Handle multisite
+	// Handle multisite.
 	// switch to the blog where the comment was made.
 	switch_to_blog( $parent_activity->item_id );
@@ -924,5 +924,5 @@
 	BP_Activity_Activity::rebuild_activity_comment_tree( $parent_activity_id );
 
-	// Avoid the error message although the comments were successfully deleted
+	// Avoid the error message although the comments were successfully deleted.
 	$deleted = true;
 
@@ -947,8 +947,8 @@
 	}
 
-	// fetch parent activity item
+	// Fetch parent activity item.
 	$parent_activity = new BP_Activity_Activity( $activity->item_id );
 
-	// if parent activity isn't a post type having the buddypress-activity support for comments, stop now!
+	// If parent activity isn't a post type having the buddypress-activity support for comments, stop now!
 	if ( ! bp_activity_type_supports( $parent_activity->type, 'post-type-comment-tracking' ) ) {
 		return;
@@ -972,9 +972,9 @@
 	switch_to_blog( $parent_activity->item_id );
 
-	// Get the comment status
+	// Get the comment status.
 	$post_comment_status = wp_get_comment_status( $post_comment_id );
 	$old_comment_status  = $post_comment_status;
 
-	// No need to edit the activity, as it's the activity who's updating the comment
+	// No need to edit the activity, as it's the activity who's updating the comment.
 	remove_action( 'transition_comment_status', 'bp_activity_transition_post_type_comment_status', 10 );
 	remove_action( 'bp_activity_post_type_comment', 'bp_blogs_comment_sync_activity_comment', 10 );
@@ -996,5 +996,5 @@
 	}
 
-	// Restore actions
+	// Restore actions.
 	add_action( 'transition_comment_status',     'bp_activity_transition_post_type_comment_status', 10, 3 );
 	add_action( 'bp_activity_post_type_comment', 'bp_blogs_comment_sync_activity_comment',          10, 4 );
@@ -1055,13 +1055,13 @@
 	}
 
-	// Get the associated post type
+	// Get the associated post type.
 	$post_type = bp_activity_post_type_get_tracking_arg( $args['action'], 'post_type' );
 
-	// Bail if this is not an activity associated with a post type
+	// Bail if this is not an activity associated with a post type.
 	if ( empty( $post_type ) ) {
 		return $args;
 	}
 
-	// Bail if this is an activity about posts and not comments
+	// Bail if this is an activity about posts and not comments.
 	if ( bp_activity_post_type_get_tracking_arg( $args['action'], 'comment_action_id' ) ) {
 		return $args;
@@ -1236,5 +1236,5 @@
 	// It's a post type supporting comment tracking.
 	if ( bp_activity_type_supports( $type, 'post-type-comment-tracking' ) ) {
-		// The activity type is supporting comments or replies
+		// The activity type is supporting comments or replies.
 		if ( bp_activity_type_supports( $type, 'post-type-comment-reply' ) ) {
 			// Setup some globals we'll need to reference later.
@@ -1251,5 +1251,5 @@
 				$retval = false;
 			}
-		// The activity type does not support comments or replies
+		// The activity type does not support comments or replies.
 		} else {
 			$retval = false;
@@ -1286,5 +1286,5 @@
 	}
 
-	// Check the parent activity
+	// Check the parent activity.
 	$parent_activity = new BP_Activity_Activity( bp_get_activity_item_id() );
 
@@ -1439,13 +1439,13 @@
 		$bp = buddypress();
 
-		// Check if a comment action id is set for the parent activity
+		// Check if a comment action id is set for the parent activity.
 		$comment_action_id = bp_activity_post_type_get_tracking_arg( $parent_activity->type, 'comment_action_id' );
 
-		// Use the action string callback for the activity type
+		// Use the action string callback for the activity type.
 		if ( ! empty( $comment_action_id ) ) {
 			// Fake a 'new_{post_type}_comment' by cloning the activity object.
 			$object = clone $activity;
 
-			// Set the type of the activity to be a comment about a post type
+			// Set the type of the activity to be a comment about a post type.
 			$object->type = $comment_action_id;
 
@@ -1456,8 +1456,8 @@
 			$object->secondary_item_id = $blog_comment_id;
 
-			// Get the format callback for this activity comment
+			// Get the format callback for this activity comment.
 			$format_callback = bp_activity_post_type_get_tracking_arg( $comment_action_id, 'format_callback' );
 
-			// now format the activity action using the 'new_{post_type}_comment' action callback
+			// Now format the activity action using the 'new_{post_type}_comment' action callback.
 			if ( is_callable( $format_callback ) ) {
 				$retval = call_user_func_array( $format_callback, array( '', $object ) );
Index: /trunk/src/bp-blogs/bp-blogs-functions.php
===================================================================
--- /trunk/src/bp-blogs/bp-blogs-functions.php	(revision 12543)
+++ /trunk/src/bp-blogs/bp-blogs-functions.php	(revision 12544)
@@ -46,11 +46,11 @@
 	// Parse query arguments.
 	$r = bp_parse_args( $args, array(
-		'type'              => 'active', // 'active', 'alphabetical', 'newest', or 'random'
-		'include_blog_ids'  => false,    // Array of blog IDs to include
-		'user_id'           => false,    // Limit to blogs this user can post to
-		'search_terms'      => false,    // Limit to blogs matching these search terms
-		'per_page'          => 20,       // The number of results to return per page
-		'page'              => 1,        // The page to return if limiting per page
-		'update_meta_cache' => true      // Whether to pre-fetch blogmeta
+		'type'              => 'active', // 'active', 'alphabetical', 'newest', or 'random'.
+		'include_blog_ids'  => false,    // Array of blog IDs to include.
+		'user_id'           => false,    // Limit to blogs this user can post to.
+		'search_terms'      => false,    // Limit to blogs matching these search terms.
+		'per_page'          => 20,       // The number of results to return per page.
+		'page'              => 1,        // The page to return if limiting per page.
+		'update_meta_cache' => true      // Whether to pre-fetch blogmeta.
 	), 'blogs_get_blogs' );
 
@@ -107,9 +107,9 @@
 	), 'record_existing_blogs' );
 
-	// Truncate all BP blogs tables if starting fresh
+	// Truncate all BP blogs tables if starting fresh.
 	if ( empty( $r['offset'] ) && empty( $r['blog_ids'] ) ) {
 		$bp = buddypress();
 
-		// Truncate user blogs table
+		// Truncate user blogs table.
 		$truncate = $wpdb->query( "TRUNCATE {$bp->blogs->table_name}" );
 		if ( is_wp_error( $truncate ) ) {
@@ -117,5 +117,5 @@
 		}
 
-		// Truncate user blogmeta table
+		// Truncate user blogmeta table.
 		$truncate = $wpdb->query( "TRUNCATE {$bp->blogs->table_name_blogmeta}" );
 		if ( is_wp_error( $truncate ) ) {
@@ -124,15 +124,15 @@
 	}
 
-	// Multisite
+	// Multisite.
 	if ( is_multisite() ) {
 		$sql = array();
 		$sql['select'] = $wpdb->prepare( "SELECT blog_id, last_updated FROM {$wpdb->base_prefix}blogs WHERE mature = 0 AND spam = 0 AND deleted = 0 AND site_id = %d", $r['site_id'] );
 
-		// Omit root blog if large network
+		// Omit root blog if large network.
 		if ( bp_is_large_install() ) {
 			$sql['omit_root_blog'] = $wpdb->prepare( "AND blog_id != %d", bp_get_root_blog_id() );
 		}
 
-		// Filter by selected blog IDs
+		// Filter by selected blog IDs.
 		if ( ! empty( $r['blog_ids'] ) ) {
 			$in        = implode( ',', wp_parse_id_list( $r['blog_ids'] ) );
@@ -162,7 +162,7 @@
 	}
 
-	 // Bail if there are no blogs
+	 // Bail if there are no blogs.
 	 if ( empty( $blogs ) ) {
-		// Make sure we remove our offset marker
+		// Make sure we remove our offset marker.
 		if ( is_multisite() ) {
 			bp_delete_option( '_bp_record_blogs_offset' );
@@ -193,9 +193,9 @@
 			bp_blogs_add_user_to_blog( $user_id, false, $blog->blog_id );
 
-			// Clear cache
+			// Clear cache.
 			bp_blogs_clear_blog_object_cache( $blog->blog_id, $user_id );
 		}
 
-		// Update blog last activity timestamp
+		// Update blog last activity timestamp.
 		if ( ! empty( $blog->last_updated ) && false !== strtotime( $blog->last_updated ) ) {
 			bp_blogs_update_blogmeta( $blog->blog_id, 'last_activity', $blog->last_updated );
@@ -203,12 +203,12 @@
 	}
 
-	// See if we need to do this again
+	// See if we need to do this again.
 	if ( is_multisite() && empty( $r['blog_ids'] ) ) {
 		$sql['offset'] = $wpdb->prepare( " OFFSET %d", $r['limit'] + $r['offset'] );
 
-		// Check if there are more blogs to record
+		// Check if there are more blogs to record.
 		$blog_ids = $wpdb->get_results( implode( ' ', $sql ) );
 
-		// We have more blogs; record offset and re-run function
+		// We have more blogs; record offset and re-run function.
 		if ( ! empty( $blog_ids  ) ) {
 			bp_update_option( '_bp_record_blogs_offset', $r['limit'] + $r['offset'] );
@@ -223,5 +223,5 @@
 			return;
 
-		// No more blogs; delete offset marker
+		// No more blogs; delete offset marker.
 		} else {
 			bp_delete_option( '_bp_record_blogs_offset' );
@@ -727,12 +727,12 @@
 	$blog_id = get_current_blog_id();
 
-	// These activity metadatas are used to build the new_blog_comment action string
+	// These activity metadatas are used to build the new_blog_comment action string.
 	if ( ! empty( $activity_id ) && ! empty( $activity_args['item_id'] ) && 'new_blog_comment' === $activity_post_object->comment_action_id ) {
-		// add some post info in activity meta
+		// Add some post info in activity meta.
 		bp_activity_update_meta( $activity_id, 'post_title', $comment->post->post_title );
 		bp_activity_update_meta( $activity_id, 'post_url',   esc_url_raw( add_query_arg( 'p', $comment->post->ID, home_url( '/' ) ) ) );
 	}
 
-	// Sync comment - activity comment
+	// Sync comment - activity comment.
 	if ( ! bp_disable_blogforum_comments() ) {
 
@@ -750,5 +750,5 @@
 
 		if ( isset( $activity_post_object->action_id ) && isset( $activity_post_object->component_id ) ) {
-			// find the parent 'new_post_type' activity entry
+			// Find the parent 'new_post_type' activity entry.
 			$parent_activity_id = bp_activity_get_activity_id( array(
 				'component'         => $activity_post_object->component_id,
@@ -764,11 +764,11 @@
 		}
 
-		// we found the parent activity entry
-		// so let's go ahead and reconfigure some activity args
+		// We found the parent activity entry
+		// so let's go ahead and reconfigure some activity args.
 		if ( ! empty( $parent_activity_id ) ) {
-			// set the parent activity entry ID
+			// Set the parent activity entry ID.
 			$activity_args['activity_id'] = $parent_activity_id;
 
-			// now see if the WP parent comment has a BP activity ID
+			// Now see if the WP parent comment has a BP activity ID.
 			$comment_parent = 0;
 			if ( ! empty( $comment->comment_parent ) ) {
@@ -777,5 +777,5 @@
 
 			// WP parent comment does not have a BP activity ID
-			// so set to 'new_' . post_type activity ID
+			// so set to 'new_' . post_type activity ID.
 			if ( empty( $comment_parent ) ) {
 				$comment_parent = $parent_activity_id;
@@ -785,22 +785,22 @@
 			$activity_args['skip_notification'] = true;
 
-		// could not find corresponding parent activity entry
-		// so wipe out $args array
+		// Could not find corresponding parent activity entry
+		// so wipe out $args array.
 		} else {
 			$activity_args = array();
 		}
 
-		// Record in activity streams
+		// Record in activity streams.
 		if ( ! empty( $activity_args ) ) {
 			$activity_id = bp_activity_new_comment( $activity_args );
 
 			if ( empty( $activity_args['id'] ) ) {
-				// The activity metadata to inform about the corresponding comment ID
+				// The activity metadata to inform about the corresponding comment ID.
 				bp_activity_update_meta( $activity_id, "bp_blogs_{$comment->post->post_type}_comment_id", $comment->comment_ID );
 
-				// The comment metadata to inform about the corresponding activity ID
+				// The comment metadata to inform about the corresponding activity ID.
 				add_comment_meta( $comment->comment_ID, 'bp_activity_comment_id', $activity_id );
 
-				// These activity metadatas are used to build the new_blog_comment action string
+				// These activity metadatas are used to build the new_blog_comment action string.
 				if ( 'new_blog_comment' === $activity_post_object->comment_action_id ) {
 					bp_activity_update_meta( $activity_id, 'post_title', $comment->post->post_title );
@@ -1055,5 +1055,5 @@
 		 */
 		if ( ! empty( $activity_id ) ) {
-			// fetch the activity comments for the activity item
+			// Fetch the activity comments for the activity item.
 			$activity = bp_activity_get( array(
 				'in'               => $activity_id,
@@ -1062,10 +1062,10 @@
 			) );
 
-			// get all activity comment IDs for the pending deleted item
+			// Get all activity comment IDs for the pending deleted item.
 			if ( ! empty( $activity['activities'] ) ) {
 				$activity_ids   = bp_activity_recurse_comments_activity_ids( $activity );
 				$activity_ids[] = $activity_id;
 
-				// delete activity items
+				// Delete activity items.
 				foreach ( $activity_ids as $activity_id ) {
 					bp_activity_delete( array(
@@ -1074,11 +1074,11 @@
 				}
 
-				// remove associated blog comments
+				// Remove associated blog comments.
 				bp_blogs_remove_associated_blog_comments( $activity_ids );
 
-				// rebuild activity comment tree
+				// Rebuild activity comment tree.
 				BP_Activity_Activity::rebuild_activity_comment_tree( $activity['activities'][0]->item_id );
 
-				// Set the result
+				// Set the result.
 				$deleted = true;
 			}
Index: /trunk/src/bp-blogs/classes/class-bp-blogs-blog.php
===================================================================
--- /trunk/src/bp-blogs/classes/class-bp-blogs-blog.php	(revision 12543)
+++ /trunk/src/bp-blogs/classes/class-bp-blogs-blog.php	(revision 12544)
@@ -87,5 +87,5 @@
 
 		/**
-		 * Filters the blog blog ID before save.
+		 * Filters the blog ID before save.
 		 *
 		 * @since 1.0.0