Index: trunk/src/bp-core/classes/class-bp-admin.php
===================================================================
--- trunk/src/bp-core/classes/class-bp-admin.php	(revision 12641)
+++ trunk/src/bp-core/classes/class-bp-admin.php	(revision 12645)
@@ -970,32 +970,43 @@
 			</h3>
 			<p class="wp-credits-list">
-				<a href="https://github.com/baconbro">baconbro</a>,
+				<a href="https://profiles.wordpress.org/oztaser">Adil Oztaser (oztaser)</a>,
+				<a href="https://profiles.wordpress.org/wpamitkumar">Amit Dudhat (wpamitkumar)</a>,
+				<a href="https://profiles.wordpress.org/dontdream">Andrea Tarantini (dontdream)</a>,
+				<a href="https://profiles.wordpress.org/ankitmaru">Ankit Panchal (ankitmaru)</a>,
+				<a href="https://profiles.wordpress.org/passoniate">Arslan Ahmed (passoniate)</a>,
 				<a href="https://profiles.wordpress.org/boonebgorges/">Boone B Gorges (boonebgorges)</a>,
-				<a href="https://profiles.wordpress.org/joncadams/">boop (joncadams)</a>,
 				<a href="https://profiles.wordpress.org/sbrajesh/">Brajesh Singh (sbrajesh)</a>,
+				<a href="https://profiles.wordpress.org/bhargavbhandari90">Bunty (bhargavbhandari90)</a>,
 				<a href="https://profiles.wordpress.org/dcavins/">David Cavins (dcavins)</a>,
-				<a href="https://profiles.wordpress.org/ericlewis/">Eric Lewis (ericlewis)</a>,
-				<a href="https://profiles.wordpress.org/geminorum/">geminorum</a>,
-				<a href="https://profiles.wordpress.org/gingerbooch/">gingerbooch</a>,
-				<a href="https://profiles.wordpress.org/ivinco/">Ivinco</a>,
-				<a href="https://profiles.wordpress.org/whyisjake/">Jake Spurlock (whyisjake)</a>,
-				<a href="https://profiles.wordpress.org/JarretC/">Jarret (JarretC)</a>,
+				<a href="https://profiles.wordpress.org/ocean90">Dominik Schilling (ocean90)</a>,
+				<a href="https://profiles.wordpress.org/etatus">etatus</a>,
+				<a href="https://profiles.wordpress.org/fayazgabol">Fayaz Gabol (fayazgabol)</a>,
+				<a href="https://profiles.wordpress.org/hnla">Hugo Ashmore (hnla)</a>,
+				<a href="https://profiles.wordpress.org/audrasjb">Jb Audras (audrasjb)</a>,
 				<a href="https://profiles.wordpress.org/johnjamesjacoby/">John James Jacoby (johnjamesjacoby)</a>,
-				<a href="https://profiles.wordpress.org/klawton/">klawton</a>,
-				<a href="https://profiles.wordpress.org/kristianngve/">Kristian Yngve (kristianngve)</a>,
-				<a href="https://profiles.wordpress.org/maniou/">Maniou</a>,
-				<a href="https://profiles.wordpress.org/netweblogic/">Marcus (netweblogic)</a>,
+				<a href="https://profiles.wordpress.org/greenshady">Justin Tadlock (greenshady)</a>,
+				<a href="https://profiles.wordpress.org/kashifgabol">Kashif Gabol (kashifgabol)</a>,
+				<a href="https://profiles.wordpress.org/laudag">laudag</a>,
 				<a href="https://profiles.wordpress.org/imath/">Mathieu Viet (imath)</a>,
-				<a href="https://github.com/bhoot-biswas">Mithun Biswas</a>,
-				<a href="https://profiles.wordpress.org/modemlooper/">modemlooper</a>,
+				<a href="https://profiles.wordpress.org/mattjones2207">mattjones2207</a>,
+				<a href="https://profiles.wordpress.org/mercime">mercime</a>,
+				<a href="https://profiles.wordpress.org/mo3aser">mo3aser</a>,
+				<a href="https://profiles.wordpress.org/modemlooper">modemlooper</a>,
+				<a href="https://profiles.wordpress.org/man4toman">Morteza Geransayeh (man4toman)</a>,
+				<a href="https://profiles.wordpress.org/mukesh27">Mukesh Panchal (mukesh27)</a>,
 				<a href="https://profiles.wordpress.org/DJPaul/">Paul Gibbs (DJPaul)</a>,
+				<a href="https://profiles.wordpress.org/pooja1210">Pooja N Muchandikar (pooja1210)</a>,
 				<a href="https://profiles.wordpress.org/r-a-y/">r-a-y</a>,
-				<a href="https://profiles.wordpress.org/razor90/">razor90</a>,
 				<a href="https://profiles.wordpress.org/espellcaste/">Renato Alves (espellcaste)</a>,
-				<a href="https://profiles.wordpress.org/slaFFik/">Slava Abakumov (slaFFik)</a>,
+				<a href="https://profiles.wordpress.org/santiazpi2">santiazpi2</a>,
+				<a href="https://profiles.wordpress.org/shanebp">shanebp</a>,
+				<a href="https://profiles.wordpress.org/sharaz">Sharaz Shahid (sharaz)</a>,
+				<a href="https://github.com/sjregan">sjregan</a>,
 				<a href="https://profiles.wordpress.org/netweb/">Stephen Edgar (netweb)</a>,
-				<a href="https://profiles.wordpress.org/truchot/">truchot</a>,
-				<a href="https://profiles.wordpress.org/venutius/">Venutius</a>,
-				<a href="https://profiles.wordpress.org/wegosi/">wegosi</a>,
+				<a href="https://profiles.wordpress.org/karmatosed">Tammie Lister (karmatosed)</a>,
+				<a href="https://profiles.wordpress.org/tobifjellner">Tor-Bjorn Fjellner (tobifjellner)</a>,
+				<a href="https://profiles.wordpress.org/itowhid06">Towhidul Islam (itowhid06)</a>,
+				<a href="https://profiles.wordpress.org/twmcmahan">twmcmahan</a>,
+				<a href="https://profiles.wordpress.org/zishanj">Zishan (zishanj)</a>
 			</p>
 