Index: /trunk/src/bp-activity/bp-activity-admin.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-admin.php	(revision 12724)
+++ /trunk/src/bp-activity/bp-activity-admin.php	(revision 12725)
@@ -670,5 +670,7 @@
 
 	<div class="wrap">
-		<h1><?php esc_html_e( 'Delete Activities', 'buddypress' ) ?></h1>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'Delete Activities', 'buddypress' ) ?></h1>
+		<hr class="wp-header-end">
+
 		<p><?php esc_html_e( 'You are about to delete the following activities:', 'buddypress' ) ?></p>
 
@@ -757,5 +759,5 @@
 
 	<div class="wrap">
-		<h1>
+		<h1 class="wp-heading-inline">
 			<?php
 			/* translators: %s: the activity ID */
@@ -763,4 +765,6 @@
 			?>
 		</h1>
+
+		<hr class="wp-header-end">
 
 		<?php if ( ! empty( $activity ) ) : ?>
@@ -1150,5 +1154,5 @@
 
 	<div class="wrap">
-		<h1>
+		<h1 class="wp-heading-inline">
 			<?php if ( !empty( $_REQUEST['aid'] ) ) : ?>
 				<?php
@@ -1170,4 +1174,6 @@
 		</h1>
 
+		<hr class="wp-header-end">
+
 		<?php // If the user has just made a change to an activity item, display the status messages. ?>
 		<?php if ( !empty( $messages ) ) : ?>
Index: /trunk/src/bp-core/admin/bp-core-admin-components.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-components.php	(revision 12724)
+++ /trunk/src/bp-core/admin/bp-core-admin-components.php	(revision 12725)
@@ -22,5 +22,6 @@
 	<div class="wrap">
 
-		<h1><?php _e( 'BuddyPress Settings', 'buddypress' ); ?> </h1>
+		<h1 class="wp-heading-inline"><?php _e( 'BuddyPress Settings', 'buddypress' ); ?> </h1>
+		<hr class="wp-header-end">
 
 		<h2 class="nav-tab-wrapper"><?php bp_core_admin_tabs( __( 'Components', 'buddypress' ) ); ?></h2>
Index: /trunk/src/bp-core/admin/bp-core-admin-functions.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-functions.php	(revision 12724)
+++ /trunk/src/bp-core/admin/bp-core-admin-functions.php	(revision 12725)
@@ -103,7 +103,8 @@
 
 	<div class="wrap">
-		<h2><?php _e( 'Why have all my BuddyPress menus disappeared?', 'buddypress' ); ?></h2>
-
-		<p><?php _e( "Don't worry! We've moved the BuddyPress options into more convenient and easier to find locations. You're seeing this page because you are running a legacy BuddyPress plugin which has not been updated.", 'buddypress' ); ?></p>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'Why have all my BuddyPress menus disappeared?', 'buddypress' ); ?></h1>
+		<hr class="wp-header-end">
+
+		<p><?php esc_html_e( "Don't worry! We've moved the BuddyPress options into more convenient and easier to find locations. You're seeing this page because you are running a legacy BuddyPress plugin which has not been updated.", 'buddypress' ); ?></p>
 		<p>
 			<?php
Index: /trunk/src/bp-core/admin/bp-core-admin-settings.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-settings.php	(revision 12724)
+++ /trunk/src/bp-core/admin/bp-core-admin-settings.php	(revision 12725)
@@ -273,7 +273,8 @@
 	<div class="wrap">
 
-		<h1><?php _e( 'BuddyPress Settings', 'buddypress' ); ?> </h1>
-
-		<h2 class="nav-tab-wrapper"><?php bp_core_admin_tabs( __( 'Options', 'buddypress' ) ); ?></h2>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'BuddyPress Settings', 'buddypress' ); ?></h1>
+		<hr class="wp-header-end">
+
+		<h2 class="nav-tab-wrapper"><?php bp_core_admin_tabs( esc_html__( 'Options', 'buddypress' ) ); ?></h2>
 
 		<form action="<?php echo esc_url( $form_action ) ?>" method="post">
Index: /trunk/src/bp-core/admin/bp-core-admin-slugs.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-slugs.php	(revision 12724)
+++ /trunk/src/bp-core/admin/bp-core-admin-slugs.php	(revision 12725)
@@ -22,7 +22,8 @@
 	<div class="wrap">
 
-		<h1><?php _e( 'BuddyPress Settings', 'buddypress' ); ?> </h1>
-
-		<h2 class="nav-tab-wrapper"><?php bp_core_admin_tabs( __( 'Pages', 'buddypress' ) ); ?></h2>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'BuddyPress Settings', 'buddypress' ); ?> </h1>
+		<hr class="wp-header-end">
+
+		<h2 class="nav-tab-wrapper"><?php bp_core_admin_tabs( esc_html__( 'Pages', 'buddypress' ) ); ?></h2>
 		<form action="" method="post" id="bp-admin-page-form">
 
Index: /trunk/src/bp-core/admin/bp-core-admin-tools.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-admin-tools.php	(revision 12724)
+++ /trunk/src/bp-core/admin/bp-core-admin-tools.php	(revision 12725)
@@ -20,5 +20,6 @@
 	<div class="wrap">
 
-		<h1><?php esc_html_e( 'BuddyPress Tools', 'buddypress' ) ?></h1>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'BuddyPress Tools', 'buddypress' ) ?></h1>
+		<hr class="wp-header-end">
 
 		<p><?php esc_html_e( 'BuddyPress keeps track of various relationships between members, groups, and activity items. Occasionally these relationships become out of sync, most often after an import, update, or migration.', 'buddypress' ); ?></p>
@@ -443,5 +444,6 @@
 	?>
 	<div class="wrap">
-		<h1><?php esc_attr_e( 'Tools', 'buddypress' ) ?></h1>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'Tools', 'buddypress' ) ?></h1>
+		<hr class="wp-header-end">
 
 		<?php
Index: /trunk/src/bp-core/classes/class-bp-admin.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-admin.php	(revision 12724)
+++ /trunk/src/bp-core/classes/class-bp-admin.php	(revision 12725)
@@ -829,5 +829,6 @@
 		<div class="wrap bp-about-wrap">
 
-		<h1><?php esc_html_e( 'BuddyPress Settings', 'buddypress' ); ?> </h1>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'BuddyPress Settings', 'buddypress' ); ?></h1>
+		<hr class="wp-header-end">
 
 		<h2 class="nav-tab-wrapper"><?php bp_core_admin_tabs( esc_html__( 'Credits', 'buddypress' ) ); ?></h2>
Index: /trunk/src/bp-groups/bp-groups-admin.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-admin.php	(revision 12724)
+++ /trunk/src/bp-groups/bp-groups-admin.php	(revision 12725)
@@ -698,5 +698,7 @@
 
 	<div class="wrap">
-		<h1><?php _e( 'Delete Groups', 'buddypress' ) ?></h1>
+		<h1 class="wp-heading-inline"><?php _e( 'Delete Groups', 'buddypress' ) ?></h1>
+		<hr class="wp-header-end">
+
 		<p><?php _e( 'You are about to delete the following groups:', 'buddypress' ) ?></p>
 
Index: /trunk/src/bp-members/classes/class-bp-members-admin.php
===================================================================
--- /trunk/src/bp-members/classes/class-bp-members-admin.php	(revision 12724)
+++ /trunk/src/bp-members/classes/class-bp-members-admin.php	(revision 12725)
@@ -2196,5 +2196,7 @@
 
 		<div class="wrap">
-			<h1><?php echo esc_html( $header_text ); ?></h1>
+			<h1 class="wp-heading-inline"><?php echo esc_html( $header_text ); ?></h1>
+			<hr class="wp-header-end">
+
 			<p><?php echo esc_html( $helper_text ); ?></p>
 
Index: /trunk/src/bp-xprofile/bp-xprofile-admin.php
===================================================================
--- /trunk/src/bp-xprofile/bp-xprofile-admin.php	(revision 12724)
+++ /trunk/src/bp-xprofile/bp-xprofile-admin.php	(revision 12725)
@@ -445,5 +445,7 @@
 
 	<div class="wrap">
-		<h1><?php esc_html_e( 'Delete Field Group', 'buddypress' ) ?></h1>
+		<h1 class="wp-heading-inline"><?php esc_html_e( 'Delete Field Group', 'buddypress' ) ?></h1>
+		<hr class="wp-header-end">
+
 		<p><?php esc_html_e( 'You are about to delete the following field group:', 'buddypress' ) ?></p>
 
@@ -654,5 +656,5 @@
 
 	<div class="wrap">
-		<h1>
+		<h1 class="wp-heading-inline">
 			<?php
 			printf(
@@ -663,4 +665,7 @@
 			?>
 		</h1>
+
+		<hr class="wp-header-end">
+
 		<p>
 			<?php
Index: /trunk/src/bp-xprofile/classes/class-bp-xprofile-field.php
===================================================================
--- /trunk/src/bp-xprofile/classes/class-bp-xprofile-field.php	(revision 12724)
+++ /trunk/src/bp-xprofile/classes/class-bp-xprofile-field.php	(revision 12725)
@@ -1227,5 +1227,6 @@
 		<div class="wrap">
 
-			<h1><?php echo esc_html( $title ); ?></h1>
+			<h1 class="wp-heading-inline"><?php echo esc_html( $title ); ?></h1>
+			<hr class="wp-header-end">
 
 			<?php if ( !empty( $message ) ) : ?>
Index: /trunk/src/bp-xprofile/classes/class-bp-xprofile-group.php
===================================================================
--- /trunk/src/bp-xprofile/classes/class-bp-xprofile-group.php	(revision 12724)
+++ /trunk/src/bp-xprofile/classes/class-bp-xprofile-group.php	(revision 12725)
@@ -845,5 +845,6 @@
 		<div class="wrap">
 
-			<h1><?php echo esc_html( $title ); ?></h1>
+			<h1 class="wp-heading-inline"><?php echo esc_html( $title ); ?></h1>
+			<hr class="wp-header-end">
 
 			<?php if ( ! empty( $message ) ) : ?>