Index: /trunk/src/bp-core/admin/css/common-rtl.css
===================================================================
--- /trunk/src/bp-core/admin/css/common-rtl.css	(revision 13207)
+++ /trunk/src/bp-core/admin/css/common-rtl.css	(revision 13208)
@@ -558,4 +558,64 @@
 }
 
+.buddypress .bp-welcome-panel {
+	position: relative;
+	overflow: auto;
+	margin: 16px 0;
+	padding: 23px 10px 0;
+	border: 1px solid #c3c4c7;
+	box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
+	background: #fff;
+	background-image: none;
+	font-size: 13px;
+	line-height: 1.7;
+}
+
+.buddypress .bp-welcome-panel-close {
+	position: absolute;
+	top: 10px;
+	left: 10px;
+	padding: 10px 21px 10px 15px;
+	font-size: 13px;
+	line-height: 1.23076923;
+	text-decoration: none;
+}
+
+.buddypress .bp-welcome-panel-close:before {
+	position: absolute;
+	top: 8px;
+	right: 0;
+	transition: all 0.1s ease-in-out;
+	margin: 0;
+	background: 100% 0;
+	color: #787c82;
+	content: "\f153";
+	display: block;
+	font: 600 16px/20px dashicons;
+	height: 20px;
+	text-align: center;
+	width: 20px;
+	-webkit-font-smoothing: antialiased;
+	-moz-osx-font-smoothing: grayscale;
+}
+
+.buddypress .bp-welcome-panel-close:hover:before {
+	color: #d63638;
+}
+
+.buddypress .bp-welcome-panel-content {
+	margin-right: 13px;
+	max-width: 1500px;
+}
+
+.buddypress .bp-welcome-panel-content h2 {
+	line-height: 32px;
+	margin-bottom: 1em;
+}
+
+.buddypress .bp-welcome-panel-content p {
+	padding-bottom: 23px;
+	font-size: 14px;
+}
+
 /*------------------------------------------------------------------------------
  * 7.0 Admins page with tabbed nav.
@@ -591,17 +651,7 @@
 
 .buddypress-title-section h1 .bp-badge,
-.buddypress .welcome-panel-content h2 .bp-badge {
+.buddypress .bp-welcome-panel-content h2 .bp-badge {
 	font-size: 32px;
 	vertical-align: top;
-}
-
-.buddypress .welcome-panel-content h2 {
-	line-height: 32px;
-	margin-bottom: 1em;
-}
-
-.buddypress .welcome-panel-content p {
-	padding-bottom: 23px;
-	font-size: 14px;
 }
 
Index: /trunk/src/bp-core/admin/css/common.css
===================================================================
--- /trunk/src/bp-core/admin/css/common.css	(revision 13207)
+++ /trunk/src/bp-core/admin/css/common.css	(revision 13208)
@@ -558,4 +558,64 @@
 }
 
+.buddypress .bp-welcome-panel {
+	position: relative;
+	overflow: auto;
+	margin: 16px 0;
+	padding: 23px 10px 0;
+	border: 1px solid #c3c4c7;
+	box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
+	background: #fff;
+	background-image: none;
+	font-size: 13px;
+	line-height: 1.7;
+}
+
+.buddypress .bp-welcome-panel-close {
+	position: absolute;
+	top: 10px;
+	right: 10px;
+	padding: 10px 15px 10px 21px;
+	font-size: 13px;
+	line-height: 1.23076923;
+	text-decoration: none;
+}
+
+.buddypress .bp-welcome-panel-close:before {
+	position: absolute;
+	top: 8px;
+	left: 0;
+	transition: all 0.1s ease-in-out;
+	margin: 0;
+	background: 0 0;
+	color: #787c82;
+	content: "\f153";
+	display: block;
+	font: 600 16px/20px dashicons;
+	height: 20px;
+	text-align: center;
+	width: 20px;
+	-webkit-font-smoothing: antialiased;
+	-moz-osx-font-smoothing: grayscale;
+}
+
+.buddypress .bp-welcome-panel-close:hover:before {
+	color: #d63638;
+}
+
+.buddypress .bp-welcome-panel-content {
+	margin-left: 13px;
+	max-width: 1500px;
+}
+
+.buddypress .bp-welcome-panel-content h2 {
+	line-height: 32px;
+	margin-bottom: 1em;
+}
+
+.buddypress .bp-welcome-panel-content p {
+	padding-bottom: 23px;
+	font-size: 14px;
+}
+
 /*------------------------------------------------------------------------------
  * 7.0 Admins page with tabbed nav.
@@ -591,17 +651,7 @@
 
 .buddypress-title-section h1 .bp-badge,
-.buddypress .welcome-panel-content h2 .bp-badge {
+.buddypress .bp-welcome-panel-content h2 .bp-badge {
 	font-size: 32px;
 	vertical-align: top;
-}
-
-.buddypress .welcome-panel-content h2 {
-	line-height: 32px;
-	margin-bottom: 1em;
-}
-
-.buddypress .welcome-panel-content p {
-	padding-bottom: 23px;
-	font-size: 14px;
 }
 
Index: /trunk/src/bp-core/classes/class-bp-admin.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-admin.php	(revision 13207)
+++ /trunk/src/bp-core/classes/class-bp-admin.php	(revision 13208)
@@ -1469,7 +1469,7 @@
 
 			?>
-			<div id="welcome-panel" class="welcome-panel bp-notice-container">
-				<a class="welcome-panel-close bp-is-dismissible" href="#" data-notice_id="<?php echo esc_attr( $notice_id ); ?>" aria-label="<?php esc_attr_e( 'Dismiss the welcome panel', 'buddypress' ); ?>"><?php esc_html_e( 'Dismiss', 'buddypress' ); ?></a>
-				<div class="welcome-panel-content">
+			<div class="bp-welcome-panel bp-notice-container">
+				<a class="bp-welcome-panel-close bp-is-dismissible" href="#" data-notice_id="<?php echo esc_attr( $notice_id ); ?>" aria-label="<?php esc_attr_e( 'Dismiss the welcome panel', 'buddypress' ); ?>"><?php esc_html_e( 'Dismiss', 'buddypress' ); ?></a>
+				<div class="bp-welcome-panel-content">
 					<h2><span class="bp-badge"></span> <?php esc_html_e( 'Hello BuddyPress Add-ons!', 'buddypress' ); ?></h2>
 					<p class="about-description">